<script>
import { setContext } from 'svelte'
import { writable } from 'svelte/store'
// import App from './App.svelte';
// const application = new App({
//       props: {
export const options = {
		mode: 'tree',
		modes: ['code', 'form', 'text', 'tree', 'view'], // allowed modes			
		indentation: 4,
		escapeUnicode: true,

		onChange: function () {
			console.log("Overridden method is called from json-object");
			},

		onModeChange: function (mode) {
			let treeMode = document.getElementById('treeModeSelection');
			let textMode = document.getElementById('textModeSelection');
			treeMode.style.display = textMode.style.display = 'none';
			if (mode === 'code' || mode === 'text') {
				textMode.style.display = 'inline';
			} else {
				treeMode.style.display = 'inline';
			}
			},
			
		onTextSelectionChange: function(start, end, text) {
			let rangeEl = document.getElementById('textRange');
			rangeEl.innerHTML = 'start: ' + JSON.stringify(start) + ', end: ' + JSON.stringify(end);
			let textEl = document.getElementById('selectedText');
			textEl.innerHTML = text;
			},

		onSelectionChange: function(start, end) {      
			let nodesEl = document.getElementById('selectedNodes');
			nodesEl.innerHTML = '';
			if (start) {
				nodesEl.innerHTML = ('start: '  + JSON.stringify(start));
				if (end) {
				nodesEl.innerHTML += ('<br/>end: '  + JSON.stringify(end));
				}
				console.log(nodesEl.innerHTML);
			}
		}

    };

</script>